[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# DefaultSideForAnchorKind

Provides adjacent edges where controls are aligned for a given anchor kind.

## Declaration

Source position: controls.pp line 2713

`const DefaultSideForAnchorKind: array [TAnchorKind] of TAnchorSideReference = (asrBottom, asrBottom, asrTop, asrTop);`

## Description

DefaultSideForAnchorKind is an array type which contains TAnchorSideReference values, The values are accessed using the enumeration values in TAnchorKind, and indicate the edge on a control where an adjacent control is aligned for the anchor kind. For example:

Anchor Kind | Default Side
akTop | asrBottom
akLeft | asrBottom
akRight | asrTop
akBottom | asrTop

Used in the ldocktree unit and in the TControl.AnchorToNeighbour method.